Package org.apache.sling.distribution

# Enum DistributionRequestState

java.lang.Object
java.lang.Enum<DistributionRequestState>
org.apache.sling.distribution.DistributionRequestState

All Implemented Interfaces:
  `Serializable`, `Comparable<DistributionRequestState>`

@ProviderType public enum DistributionRequestState extends Enum<DistributionRequestState>

The different states a `DistributionRequest` can have during its lifecycle. Allowed transitions of `DistributionRequestState` for a certain `DistributionRequest` are: `#DISTRIBUTED` to ø, `#DROPPED` to ø, `#ACCEPTED` to `#DROPPED`, `#ACCEPTED` to `#DISTRIBUTED`.

`DistributionRequest`s executed synchronously will only results in `#DISTRIBUTED` or `#DROPPED` `DistributionRequestState`s while requests executed asynchronously can result in any of `#DISTRIBUTED`, `#DROPPED` or `#ACCEPTED` states.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCEPTED`
The request has been accepted, as a consequence the content to be distributed has been created and queued (and it will be eventually processed asynchronously).
`DISTRIBUTED`
The request has completed and the content has been successfully distributed (created, transported and persisted) from the source instance to the target instance.
`DROPPED`
The request has been dropped and the content could not be successfully distributed from the source to target instance because the request execution failed during one of the phases: creation, queueing, transport, persistence.
`NOT_EXECUTED`
The request was not executed because no distribution agent was found to serve it.

## Method Summary

Modifier and Type
Method
Description
`static DistributionRequestState`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DistributionRequestState[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DISTRIBUTED

public static final DistributionRequestState DISTRIBUTED
The request has completed and the content has been successfully distributed (created, transported and persisted) from the source instance to the target instance.

### DROPPED

public static final DistributionRequestState DROPPED
The request has been dropped and the content could not be successfully distributed from the source to target instance because the request execution failed during one of the phases: creation, queueing, transport, persistence.

### NOT_EXECUTED

public static final DistributionRequestState NOT_EXECUTED
The request was not executed because no distribution agent was found to serve it.

### ACCEPTED

public static final DistributionRequestState ACCEPTED
The request has been accepted, as a consequence the content to be distributed has been created and queued (and it will be eventually processed asynchronously).

## Method Details

### values

public static DistributionRequestState[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DistributionRequestState valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null